Bug 2139918 - Modernize Live Media [NEEDINFO]
Summary: Modernize Live Media
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact:
URL:
Whiteboard:
Depends On: 2170544 739446 1698119 2148790
Blocks: F41Changes
TreeView+ depends on / blocked
 
Reported: 2022-11-03 20:48 UTC by Ben Cotton
Modified: 2024-05-09 22:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
awilliam: needinfo? (rstrode)


Attachments (Terms of Use)

Description Ben Cotton 2022-11-03 20:48:54 UTC
This is a tracking bug for Change: Modernize Live Media
For more details, see: https://fedoraproject.org/wiki/Changes/ModernizeLiveMedia

Modernize the live media by switching to the "new" live environment setup scripts provided by livesys-scripts and leverage new functionality in dracut to enable support for automatically enabling persistent overlays when flashed to USB sticks.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Neal Gompa 2023-02-09 23:26:02 UTC
I just submitted the final piece to complete this change: https://github.com/weldr/lorax/pull/1306

Once this is merged and landed in lorax in F38, this should be complete.

Comment 3 Neal Gompa 2023-03-04 13:26:57 UTC
The lorax change has been backed out and there's upstream work going on for fixing autooverlay: https://github.com/dracutdevs/dracut/pull/2215

I don't know yet if we're going to make it for F38. But if we don't, we'll be in the situation where half of it was implemented and the other half wasn't. How do we handle something like this for Changes?

Comment 4 Ben Cotton 2023-03-06 14:51:38 UTC
So long as being half-implemented doesn't break things, that's fine. We'll just defer it to F39 to track the remaining half being implemented.

Comment 5 Neal Gompa 2023-03-06 15:13:06 UTC
Yeah, it's a pretty clean split. The livesys-scripts stuff is done, just not the autooverlay stuff.

Comment 6 Ben Cotton 2023-03-16 18:55:50 UTC
Deferring to F39 per Neal in chat

Comment 7 Ben Cotton 2023-03-16 19:00:55 UTC
(Also setting back to ASSIGNED since work is not complete)

Comment 8 Adam Williamson 2023-08-22 20:44:07 UTC
Can we get another status update, Neal? Where does the remaining work here stand? Are we gonna have to defer it again to F40?

Comment 9 Neal Gompa 2023-08-23 00:42:10 UTC
(In reply to Adam Williamson from comment #8)
> Can we get another status update, Neal? Where does the remaining work here
> stand? Are we gonna have to defer it again to F40?

This will need to be deferred to F40. I need time to land this again and be able to work through the SELinux failures that made it fail last time.

Comment 10 Adam Williamson 2023-08-23 00:47:56 UTC
Roger roger.

Comment 11 Neal Gompa 2024-02-13 13:03:15 UTC
Can we please have this deferred to Fedora 41? I'm a bit burned out now after a month+ of bickering on unrelated recent change stuff.

Comment 12 Adam Williamson 2024-02-21 02:48:09 UTC
Done (Aoife is on vacation).

Comment 13 Adam Williamson 2024-05-09 21:10:14 UTC
So, while poking around on this, I noted a stray comment from halfline about this a while back: https://gitlab.gnome.org/GNOME/gnome-initial-setup/-/merge_requests/200#note_1852428

"we should make sure the long standing issue of 'stick persistently eats itself in out of disk space conditions' is resolved before we toggle to persistence by default"

was this considered? Ray, what issue specifically did you mean?

Comment 14 Adam Williamson 2024-05-09 22:13:23 UTC
Some test results and further thoughts: https://github.com/weldr/lorax/pull/1360#issuecomment-2103493001


Note You need to log in before you can comment on or make changes to this bug.